## org.eclipse.datatools.sqltools.sqleditor.internal.actions.selection
Class DelimeterSelection

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.actions.selection.DelimeterSelection

All Implemented Interfaces:
  ISQLSelection

    public class DelimeterSelection

extends java.lang.Object
implements ISQLSelection

Get the text between the delimiters before and after current cursor position.

Author:
  sul

Constructor Summary
`DelimeterSelection(SQLEditor editor, java.lang.String[] terminators)`

Method Summary
`java.lang.String` `getStatements()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelimeterSelection

    public DelimeterSelection(SQLEditor editor,
                              java.lang.String[] terminators)

Method Detail

### getStatements

    public java.lang.String getStatements()

  Specified by:
    `getStatements` in interface `ISQLSelection`